Package classycle.graph

# Class NameAttributes

java.lang.Object
classycle.graph.NameAttributes

All Implemented Interfaces:
  `Attributes`, `Comparable<Attributes>`

Direct Known Subclasses:
  `NameAndSourceAttributes`

public abstract class NameAttributes extends Object implements Attributes

Author:
  Franz-Josef Elmer

## Constructor Summary

Constructors
Constructor
Description
`NameAttributes(String name)`

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(Attributes object)`
`String`
`getName()`
Returns the name.
`abstract int`
`getSize()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NameAttributes

public NameAttributes(String name)

## Method Details

### getName

public String getName()
Returns the name.

### compareTo

public int compareTo(Attributes object)

Specified by:
  `compareTo` in interface `Comparable<Attributes>`

### getSize

public abstract int getSize()